Skip to main content
POST
/
v1
/
webhooks
/
endpoints
Creates a webhook endpoint
curl --request POST \
  --url https://api.rootly.com/v1/webhooks/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "webhooks_endpoints",
    "attributes": {
      "name": "<string>",
      "url": "<string>",
      "secret": "<string>",
      "event_types": [
        "incident.created"
      ],
      "enabled": true
    }
  }
}
'
{
  "data": {
    "id": "83e304f4-13e8-4de3-8ed9-f82895e97e1b",
    "type": "webhooks_endpoints",
    "attributes": {
      "team_id": 550,
      "slug": "test-47f46317-4308-47f4-91e3-53eefb255593",
      "name": "Test",
      "url": "https://test.com/test",
      "secret": "cEq261XL8Y1pmWES",
      "event_types": [
        "incident.created"
      ],
      "enabled": true,
      "created_at": "2026-01-21T11:23:45.978-08:00",
      "updated_at": "2026-01-21T11:23:45.978-08:00"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

webhooks_endpoint created

data
object
required